Vla-put-textinside

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-put-textinside vla-object bool )


機能
寸法値を寸法補助線の内側に記入するかどうかを指定する。


引数
  • vla-object … VLAオブジェクト(Dim3PointAngular、DimAligned、DimAngular、DimArcLength、DimDiametric、DimRadial、DimRadialLarge、DimRotated)
  • bool … ブール型
  •  :vlax-True: 寸法値を必ず寸法補助線の間に記入する。
  •  :vlax-False: 寸法補助線の間に十分な空きがある場合にのみそこに寸法値を記入する。


戻り値
nil


  • MEMO : このプロパティの初期値は True。
  • このプロパティを False に設定すると、結果はさまざまになる。
  • 長さ寸法と角度寸法の場合、CAD は十分な空きがある場合にのみ寸法補助線の内側に寸法値を記入する。
  • 円または円弧の内側にフィットしない半径寸法および直径寸法の場合、このプロパティは効果がなく、寸法値は常に円または円弧の外側に記入される。
  • 注 : このプロパティは、指定された寸法でシステム変数 DIMTIX[寸法値内側設定]の値を変更する。


サンプル
(vl-load-com)
(defun c:Example_TextInside()
    ;; 平行寸法を作成し、寸法補助線間の設定を変更するサンプル
    ;; 
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; 寸法の定義
    (setq point1 (vlax-3d-point 5 5 0)
          point2 (vlax-3d-point 5.5 5 0)
          location (vlax-3d-point 5 7 0))
    
    ;; 寸法を作成
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    (vla-ZoomAll acadObj)

    ;; text inside をトグルで変更
    (vla-put-TextInside dimObj (if (= (vla-get-TextInside dimObj) :vlax-true) :vlax-false :vlax-true))
    (vla-Regen doc acAllViewports)
            
    ;; 既定値を読み込み
    (setq CurrentValue (if (= (vla-get-TextInside dimObj) :vlax-true) "入ります" "入りません"))
    (alert (strcat "現在の寸法値は寸法補助線内に " CurrentValue " "))

    ;; トグルで変更
    (vla-put-TextInside dimObj (if (= (vla-get-TextInside dimObj) :vlax-true) :vlax-false :vlax-true))
    (vla-Regen doc acAllViewports)
            
    ;; 読み込み
    (setq CurrentValue (if (= (vla-get-TextInside dimObj) :vlax-true) "入ります" "入りません"))
    (alert (strcat "新しい現在の寸法値は寸法補助線内に " CurrentValue " "))
)

関連事項